<?php
include "connection.php";

if (isset($_POST['image'])) {
    $image = $_POST['image'];
    $target_dir = "Images/";
    $imageStore = uniqid() . "_" . time() . ".jpeg"; // Generate a unique filename
    $target_path = $target_dir . $imageStore;

    // Decode the base64 image and save it to the target directory
    if (file_put_contents($target_path, base64_decode($image)) !== false) {
        // Prepare an SQL statement to insert the image filename into the database
        $stmt = $conn->prepare("INSERT INTO slider_list (images) VALUES (?)");
        $stmt->bind_param("s", $imageStore);

        if ($stmt->execute()) {
            echo "Successfully Uploaded";
        } else {
            echo "Upload Failed: " . $stmt->error;
        }

        $stmt->close();
    } else {
        echo "Failed to write image to disk.";
    }
} else {
    echo "No image received.";
}

$conn->close();
?>
