<?php
include('connection.php');
header('Content-Type: application/json; charset=utf-8');

// Check if 'c' parameter is set
if (!isset($_GET['c'])) {
    echo json_encode(array("error" => "Category not provided."));
    exit();
}

$cetagory = $_GET['c'];

// Prepare the SQL query
$sql = "SELECT * FROM item2_list WHERE cetagory = '$cetagory'";
$result = mysqli_query($conn, $sql);

// Check for query execution errors
if (!$result) {
    echo json_encode(array("error" => "Query failed: " . mysqli_error($conn)));
    exit();
}

// Fetch the results
$data = array();
while ($item = mysqli_fetch_assoc($result)) {
    $info = array(
        'id' => $item['id'],
        'name' => $item['name'],
        'address' => $item['address'],
        'numbar' => $item['numbar'],
        'cetagory' => $item['cetagory'],
    );
    array_push($data, $info);
}

// Return the data in JSON format
if (empty($data)) {
    echo json_encode(array("message" => "No records found."));
} else {
    echo json_encode($data);
}
?>
