<?php

include "connection.php";

// Set the content type to JSON
header('Content-Type: application/json; charset=utf-8');

// Prepare the SQL statement to fetch data
$sql = "SELECT * FROM shop_list";
$result = mysqli_query($conn, $sql);

// Initialize an array to hold the data
$data = [];

// Fetch each item from the result set
while ($item = mysqli_fetch_assoc($result)) {
    // Create an associative array for the item
    $info = [
        'id' => $item['id'],
        'name' => $item['name'],
        'address' => $item['address'],
        'numbar' => $item['numbar'],
        'details' => $item['details'],
        'url' => $item['url'],
        'images' => $item['images'],
        'cetagory' => $item['cetagory']
    ];
    
    // Add the item to the data array
    $data[] = $info;
}

// Output the data as JSON
echo json_encode($data);

// Close the database connection
mysqli_close($conn);
?>
