<?php
// Database configuration
$host = 'localhost'; // Change as needed
$db_name = 'ragfsdxy_online_seba_app_db'; // Change to your database name
$username = 'ragfsdxy_root'; // Change to your database username
$password = 'v415huTtAd[U'; // Change to your database password

try {
    // Create a new PDO instance
    $pdo = new PDO("mysql:host=$host;dbname=$db_name;charset=utf8", $username, $password);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Prepare the SQL statement
    $stmt = $pdo->prepare("SELECT id, name, mobile, image FROM users");
    $stmt->execute();

    // Fetch all results
    $users = $stmt->fetchAll(PDO::FETCH_ASSOC);

    // Check if any users were found
    if ($users) {
        // Return the users in JSON format
        echo json_encode(['success' => true, 'users' => $users]);
    } else {
        // No users found
        echo json_encode(['success' => false, 'message' => 'No users found.']);
    }
} catch (PDOException $e) {
    // Handle database connection errors
    echo json_encode(['success' => false, 'message' => 'Database connection failed: ' . $e->getMessage()]);
}

// Close the database connection
$pdo = null;
?>
